<!doctype html>
<html lang="en">

<head>
    <title>Customer</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- DataTable -->
    <!--  -->
    <!-- Import DataTable Library -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css"
        integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous" />

</head>

<body>
    <div class="container">
        <div class="h2 my-5 text-center">Danh sách Customer</div>
        <table id="table-customer" class="table table-bordered table-striped">
            <thead>
                <tr>
                    <th>STT</th>
                    <th>CustomerId</th>
                    <th>orderCustomer</th>
                    <th>pizzaType</th>
                    <th>pizzaSize</th>

                    <th>voucherCode</th>
                    <th>price</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>


</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gCOL_NAME = ["stt", "customerId", "orderCode", "pizzaType", "pizzaSize", "voucherCode", "price"];
    const gCOL_STT = 0;
    const gCOL_CUSTOMER_ID = 1;
    const gCOL_ORDER_CUSTOMER = 2;
    const gCOL_PIZZA_TYPE = 3;
    const gCOL_PIZZA_SIZE = 4;


    const gCOL_VOUCHER_CODE = 5;
    const gCOL_PRICE = 6;
    var gSTT = 0;
    const gBASE_URL = "http://localhost:8081/orders";

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onTable();
        onLoadDataTable();

    })

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onTable() {
        $("#table-customer").DataTable({
            columns: [
                { "data": gCOL_NAME[gCOL_STT] },
                { "data": gCOL_NAME[gCOL_CUSTOMER_ID] },
                { "data": gCOL_NAME[gCOL_ORDER_CUSTOMER] },
                { "data": gCOL_NAME[gCOL_PIZZA_TYPE] },
                { "data": gCOL_NAME[gCOL_PIZZA_SIZE] },

                { "data": gCOL_NAME[gCOL_VOUCHER_CODE] },
                { "data": gCOL_NAME[gCOL_PRICE] },

            ],
            columnDefs: [
                {
                    targets: gCOL_STT,
                    render: function renderStt() {
                        gSTT++;
                        return gSTT;
                    }
                }
            ]
        })
    }
    function onLoadDataTable() {
        $.ajax({
            url: gBASE_URL,
            type: "GET",
            success: function (paramRes) {
                fillDataTable(paramRes);
                console.log(paramRes);
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }

        })

    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function fillDataTable(paramData) {
        var vTable = $("#table-customer").DataTable();
        vTable.clear();
        gSTT = 0;
        vTable.rows.add(paramData);
        vTable.draw();

    }
</script>

</html>